<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="com.usai.redant.photo"
    android:versionCode="1"
    android:versionName="A140821" >

    <uses-sdk
        android:minSdkVersion="14"
        android:targetSdkVersion="18" />

    <uses-permission android:name="android.permission.CAMERA" />
    <uses-permission android:name="android.permission.VIBRATE" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.RECEIVE_BOOT_COMPLETED" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" />
    <uses-permission android:name="android.permission.INTERNET" />

    <application
        android:name=".RedAntApplication"
        android:allowBackup="true"
        android:icon="@drawable/ic_shipping"
        android:label="@string/app_name"
        android:theme="@style/AppTheme" >
        <activity
            android:name=".MainActivity"
            android:configChanges="orientation|keyboardHidden"
            android:label="@string/app_name"
            android:screenOrientation="sensorLandscape"
            android:stateNotNeeded="true"
            android:theme="@style/CaptureTheme" >

            <!--
                 <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
            -->
        </activity>
        <activity
            android:name=".CaptureActivity"
            android:clearTaskOnLaunch="true"
            android:label="Scan"
            android:screenOrientation="sensorLandscape"
            android:stateNotNeeded="true"
            android:theme="@style/CaptureTheme"
            android:windowSoftInputMode="stateAlwaysHidden" >

            <!--
                 <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
            -->
        </activity>
        <activity
            android:name=".LoginActivity"
            android:label="@string/app_name"
            android:screenOrientation="sensorLandscape"
            android:windowSoftInputMode="stateHidden|adjustResize" >
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <activity
            android:name=".UploadQueueActivity"
            android:label="Upload queue"
            android:screenOrientation="sensorLandscape"
            android:theme="@style/CaptureTheme" >
        </activity>
        <activity
            android:name=".PreferencesActivityvity"
            android:label="@string/preferences_name"
            android:stateNotNeeded="true" >
        </activity>
        <activity
            android:name=".PhotoPreviewActivity"
            android:label="Photo preview"
            android:screenOrientation="sensorLandscape"
            android:windowSoftInputMode="stateHidden|adjustResize" >
        </activity>
        <activity
            android:name=".LockerActivity"
            android:label="@string/title_activity_locker"
            android:screenOrientation="sensorLandscape"
            android:windowSoftInputMode="adjustResize|stateVisible" >
        </activity>

        <receiver android:name=".BootReceiver" >
            <intent-filter android:priority="2147483647" >
                <action android:name="android.intent.action.BOOT_COMPLETED" />
                <action android:name="android.net.conn.CONNECTIVITY_CHANGE" />
            </intent-filter>
        </receiver>

        <service
            android:name=".UploadService"
            android:label="usai upload service" >
        </service>

        <activity
            android:name=".AboutActivity"
            android:screenOrientation="sensorLandscape"
            android:label="@string/title_activity_about" >
        </activity>
        <activity
            android:name=".LicenseActivity"
            android:screenOrientation="sensorLandscape"
            android:label="@string/title_activity_license" >
        </activity>
    </application>

</manifest>